Loading...
Searching...
No Matches
algorithm.hpp File Reference
`#include <uhd/config.hpp>`
`#include <stdint.h>`
`#include <boost/range/begin.hpp>`
`#include <boost/range/end.hpp>`
`#include <algorithm>`
Include dependency graph for algorithm.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | uhd

## Functions

template<typename Range>
UHD_INLINE Range | uhd::sorted (const Range &range)
template<typename Range>
UHD_INLINE Range | uhd::reversed (const Range &range)
template<typename Range, typename T>
UHD_INLINE bool | uhd::has (const Range &range, const T &value)
template<typename T>
UHD_INLINE T | uhd::clip (const T &val, const T &bound1, const T &bound2)